Module javafx.base
Package javafx.beans.property

# Class ReadOnlyBooleanWrapper

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty
javafx.beans.property.BooleanPropertyBase
javafx.beans.property.SimpleBooleanProperty
javafx.beans.property.ReadOnlyBooleanWrapper

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

public class ReadOnlyBooleanWrapper extends SimpleBooleanProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyBooleanWrapper()`
  The constructor of `ReadOnlyBooleanWrapper`
  `ReadOnlyBooleanWrapper(boolean initialValue)`
  The constructor of `ReadOnlyBooleanWrapper`
  `ReadOnlyBooleanWrapper(Object bean, String name)`
  The constructor of `ReadOnlyBooleanWrapper`
  `ReadOnlyBooleanWrapper(Object bean, String name, boolean initialValue)`
  The constructor of `ReadOnlyBooleanWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyBooleanProperty`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyBooleanWrapper`.

  ### Methods declared in class javafx.beans.property.SimpleBooleanProperty

  `getBean, getName`

  ### Methods declared in class javafx.beans.property.BooleanPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.BooleanProperty

  `asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods declared in class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyBooleanWrapper

    public ReadOnlyBooleanWrapper()
    The constructor of `ReadOnlyBooleanWrapper`

  - ### ReadOnlyBooleanWrapper

    public ReadOnlyBooleanWrapper(boolean initialValue)
    The constructor of `ReadOnlyBooleanWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyBooleanWrapper

    public ReadOnlyBooleanWrapper(Object bean, String name)
    The constructor of `ReadOnlyBooleanWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyBooleanProperty`
      `name` - the name of this `ReadOnlyBooleanProperty`

  - ### ReadOnlyBooleanWrapper

    public ReadOnlyBooleanWrapper(Object bean, String name, boolean initialValue)
    The constructor of `ReadOnlyBooleanWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyBooleanProperty`
      `name` - the name of this `ReadOnlyBooleanProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyBooleanProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyBooleanWrapper`.
    Returns:
      the readonly property